<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>
		<!-- Database connection settings -->
		<property name="connection.driver_class">com.mysql.cj.jdbc.Driver</property>
		<property name="connection.url">jdbc:mysql://localhost:3306/JDBC</property>
		<property name="connection.username">root</property>
		<property name="connection.password">root</property>

		<!-- format code SQL -->
		<property name="show_sql">true</property>
		<property name="hibernate.format_sql">true</property>
		<property name="connection.pool_size">10</property>

		<!-- Defines the SQL dialect used in Hiberante's application -->
		<property name="hibernate.dialect">org.hibernate.dialect.MySQLDialect</property>

		<!-- other -->
		<property name="hibernate.connection.characterEncoding">utf8</property>

	</session-factory>
</hibernate-configuration>

